INTERFACE
SUBROUTINE LWB15 ( KIDIA,KFDIA,KLON,KLEV,KMODE,KFLUX,KRAD,&
 & PDT0,PTAVE,PTL,&
 & PB,PBINT,PBSUIN,PBSUR,PBTOP,PDBSL,&
 & PGA,PGB,PGASUR,PGBSUR,PGATOP,PGBTOP ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLW15 , ONLY : MXIXT15 ,NINT15 ,GA15 ,GB15 ,&
 & TINTP15 ,TSTAND15 ,TSTP15 ,XP15 
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM) :: KMODE
INTEGER(KIND=JPIM) :: KFLUX
INTEGER(KIND=JPIM) :: KRAD
REAL(KIND=JPRB) ,INTENT(IN) :: PDT0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAVE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB(KLON,NINT15,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBINT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBSUIN(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBSUR(KLON,NINT15)
REAL(KIND=JPRB) ,INTENT(OUT) :: PBTOP(KLON,NINT15)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDBSL(KLON,NINT15,KLEV*2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGA(KLON,8,2,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGB(KLON,8,2,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGASUR(KLON,8,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGBSUR(KLON,8,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGATOP(KLON,8,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGBTOP(KLON,8,2)
END SUBROUTINE LWB15
END INTERFACE
